"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lwc_module_provider_1 = __importDefault(require("@lwrjs/lwc-module-provider"));
class InternalLwcModuleProvider extends lwc_module_provider_1.default {
    constructor(options, context) {
        super(options, context);
        this.name = 'Internal-lwc-module-provider';
    }
    async getModuleEntry(moduleId) {
        try {
            const result = await super.getModuleEntry(moduleId);
            return Promise.resolve(result);
        }
        catch {
            return Promise.resolve(undefined);
        }
    }
}
exports.default = InternalLwcModuleProvider;
//# sourceMappingURL=InternalLwcModuleProvider.js.map