import { LwrApp } from 'lwr';
import { LwrGlobalConfig } from '@lwrjs/types';
export declare class LwrServerUtils {
    static startLwrServer(componentName: string, projectDir: string, idleTimeout?: number, exitOnIdle?: boolean): Promise<string>;
    static getMergedLwrConfig(componentName: string, projectDir: string): LwrGlobalConfig;
    static setServerIdleTimeout(app: LwrApp, timeout: number, callback: () => void): void;
    static getNextServerPort(): number | undefined;
    private static getModifiedModuleProviders;
    private static setTimeoutTimer;
}
//# sourceMappingURL=LwrServerUtils.d.ts.map